[SOLVED] Probleme beim Update

May 24, 2022
6
1
3
Hallo zusammen,

seit dem letzten Update haben wir das Problem(?), dass alle Pakete die zu proxmox, clamav etc als zu entfernen markiert sind.

1663842472341.png

Ist das so gewollt?

Viele Grüße.
 

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
7,203
1,134
164
Ist das so gewollt?
nicht wirklich (pmg-api und pmg-gui wird entfernt)

was ist das komplette output (als text statt als screenshot wenn irgendwie möglich bitte) von:
* `apt update; apt full-upgrade` (falls das alles wieder entfernt werden sollte bitte auf 'N' drücken um abzubrechen)
* `apt install proxmox-mailgateway`

auf verdacht hin - vielleicht auch einfach versuchen den stock debian kernel zu entfernen (pmg verwendet den pve-kernel, und dieser ist mittlerweile (ueber dependencies) im Konflikt mit dem debian kernel):
* `apt remove linux-image-amd64`

ich hoffe das hilft!
 
May 24, 2022
6
1
3
Hallo,

hier die erste Ausgabe:

Code:
root@:~# apt full-upgrade
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Statusinformationen werden eingelesen… Fertig
Paketaktualisierung (Upgrade) wird berechnet… Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  clamav clamav-base clamav-daemon clamav-freshclam clamdscan fetchmail fontconfig fontconfig-config fonts-dejavu-core fonts-font-awesome fonts-glyphicons-halflings idn ifupdown2 libanyevent-http-perl
  libanyevent-perl libappconfig-perl libapt-pkg-perl libarchive-perl libarchive-zip-perl libarchive13 libasync-interrupt-perl libauthen-pam-perl libberkeleydb-perl libcairo2 libcgi-fast-perl libcgi-pm-perl
  libcompress-bzip2-perl libcompress-raw-bzip2-perl libcompress-raw-lzma-perl libcompress-raw-zlib-perl libconvert-binhex-perl libcrypt-openssl-bignum-perl libcrypt-openssl-random-perl
  libcrypt-openssl-rsa-perl libdatrie1 libdbd-pg-perl libdbi-perl libdbi1 libdevel-cycle-perl libdigest-bubblebabble-perl libencode-detect-perl libev-perl libfcgi-bin libfcgi-perl libfcgi0ldbl
  libfile-readbackwards-perl libfile-sync-perl libfilesys-df-perl libfontconfig1 libfuse3-3 libgeo-ip-perl libgraphite2-3 libguard-perl libharfbuzz0b libhtml-scrubber-perl libio-compress-lzma-perl
  libio-compress-perl libio-multiplex-perl libio-stringy-perl libjs-bootstrap libjs-extjs libjs-framework7 libjs-qrcodejs liblinux-inotify2-perl liblockfile-simple-perl liblog-agent-perl
  libmail-authenticationresults-perl libmail-dkim-perl libmail-spf-perl libmime-base32-perl libmime-tools-perl libnet-cidr-lite-perl libnet-cidr-perl libnet-dbus-perl libnet-dns-perl libnet-dns-sec-perl
  libnet-ident-perl libnet-ip-perl libnet-server-perl libnetaddr-ip-perl libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libperl4-corelibs-perl libpixman-1-0 libpmg-rs-perl libproxmox-acme-perl
  libproxmox-acme-plugins libproxmox-rs-perl libpve-apiclient-perl libpve-common-perl libpve-http-server-perl libqrencode4 librrd8 librrds-perl libstring-shellquote-perl libsys-hostname-long-perl
  libtemplate-perl libthai-data libthai0 libtie-ixhash-perl libxcb-render0 libxcb-shm0 libxdgmime-perl libxml-twig-perl libxml-xpathengine-perl libxrender1 libyaml-libyaml-perl mailcap pmg-api pmg-docs
  pmg-gui pmg-i18n pmg-log-tracker proxmox-archive-keyring proxmox-backup-client proxmox-mini-journalreader proxmox-offline-mirror-docs proxmox-offline-mirror-helper proxmox-spamassassin
  proxmox-widget-toolkit pve-xtermjs qrencode razor rrdcached spf-tools-perl tnef
Verwenden Sie »apt autoremove«, um sie zu entfernen.
Die folgenden Pakete werden ENTFERNT:
  linux-image-5.10.0-14-amd64 linux-image-5.10.0-15-amd64 linux-image-5.10.0-16-amd64 linux-image-5.10.0-8-amd64
Die folgenden NEUEN Pakete werden installiert:
  proxmox-offline-mirror-docs proxmox-offline-mirror-helper
Die folgenden Pakete werden aktualisiert (Upgrade):
  libpmg-rs-perl libproxmox-rs-perl pmg-api proxmox-backup-client
4 aktualisiert, 2 neu installiert, 4 zu entfernen und 0 nicht aktualisiert.
Es müssen 5.743 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 1.203 MB Plattenplatz freigegeben.
Möchten Sie fortfahren? [J/n] n
Abbruch.

und hier die zweite Ausgabe:
Code:
root@ma-vs-238:~# apt install proxmox-mailgateway
Paketlisten werden gelesen… Fertig
Abhängigkeitsbaum wird aufgebaut… Fertig
Statusinformationen werden eingelesen… Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  linux-image-5.10.0-14-amd64 linux-image-5.10.0-15-amd64 linux-image-5.10.0-16-amd64 linux-image-5.10.0-8-amd64
Verwenden Sie »apt autoremove«, um sie zu entfernen.
Die folgenden zusätzlichen Pakete werden installiert:
  pve-firmware pve-kernel-5.15
Vorgeschlagene Pakete:
  linux-image
Die folgenden Pakete werden ENTFERNT:
  firmware-linux-free
Die folgenden NEUEN Pakete werden installiert:
  proxmox-mailgateway pve-firmware pve-kernel-5.15
0 aktualisiert, 3 neu installiert, 1 zu entfernen und 4 nicht aktualisiert.
Es müssen noch 8.344 B von 61,1 MB an Archiven heruntergeladen werden.
Nach dieser Operation werden 384 MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren? [J/n] n
Abbruch.

Vielen Dank.
 
Last edited:

Stoiko Ivanov

Proxmox Staff Member
Staff member
May 2, 2018
7,203
1,134
164
Die folgenden Pakete werden ENTFERNT: firmware-linux-free
jupp - wie erwartet - ist die conflict-kette: pve-kernel->depends->pve-firmware->conflicts->firmware-linux-free<-depended on by<-linux-image-amd64

würde vorschlagen proxmox-mailgateway zu installieren und danach linux-image-amd64 (und auch die pakete mit den abi-nummern im namen (z.B. linux-image-5.10.0-14-amd64) zu entfernen.

Ich hoffe das hilft!
 

About

The Proxmox community has been around for many years and offers help and support for Proxmox VE, Proxmox Backup Server, and Proxmox Mail Gateway.
We think our community is one of the best thanks to people like you!

Get your subscription!

The Proxmox team works very hard to make sure you are running the best software and getting stable updates and security enhancements, as well as quick enterprise support. Tens of thousands of happy customers have a Proxmox subscription. Get your own in 60 seconds.

Buy now!